#pragma once

#include "CoreMinimal.h"
#include "QuestEventEvaluatorBase.h"
#include "GameplayTagContainer.h"
#include "IncrementOnStateTagAddedEvaluator.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable)
class UIncrementOnStateTagAddedEvaluator : public UQuestEventEvaluatorBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _trackedStateTags;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	ADBDPlayer* _nonConstDbdPlayer;

public:
	UIncrementOnStateTagAddedEvaluator();
};

FORCEINLINE uint32 GetTypeHash(const UIncrementOnStateTagAddedEvaluator) { return 0; }
